:root {
    --text: #555;
    --white: #ffffff;
    --basic: #bee0e5;
    --action: #fcc8df;
    --bg_pink: #ffebf4;
    --bg_gray: #f2f4f5;
}

@font-face {
    font-family: "Amazone";
    src: url("fonts/amazone-bt-regular.ttf") format("truetype");
}

html {
    font-family: "Amazone", "kiwi Maru", sans-serif;
    color: var(--text);
}

li {
    list-style: none;
}

a {
    text-decoration: none;
    color: var(--text);
}

a :visited {
    color: var(--basic);
}

h2 {
    font-size: 80px;
    margin-left: 20px;
}

h3 {
    font-size: 18px;
    margin: 0 0 30px 20px;
}

.scroll-space {
    box-sizing: border-box;
}

.blur {
    transition: all 0.5s;
    filter: blur(10px);

    &.scrollin {
        filter: blur(0);
    }
}

/* ========== header ========== */

.top-menu {
    display: flex;
}

#logo {
    width: 581px;
    height: 80px;
    margin-left: 30px;
}

.pc_menu {
    display: flex;
    height: 50px;
    right: 0;
    top: 0;
    margin-right: 30px;
    align-items: center;
    justify-content: space-around;
    flex-grow: 1;
    font-weight: bold;
    font-size: 32px;
    margin-top: 15px;
}

.pc_menu li {
    margin: 0 15px;
}

.pc_menu a {
    color: var(--text);
    white-space: nowrap;
}

#g-nav,
.g-nav-list {
    display: none;
}

/* ========== main visual ========== */

#mv {
    height: 650px;
    background-color: var(--basic);
}

.main_v {
    float: right;
    margin-right: 20px;
    margin-top: 11px;
}

#mv h1 {
    font-size: 42px;
    line-height: 60px;
    padding: 350px 0 30px 60px;
}

#mv p {
    font-size: 20px;
    line-height: 32px;
    padding-left: 60px;
}

.smooth {
    clip-path: inset(0 100% 0 0);
    transition: 2s cubic-bezier(0.37, 0, 0.63, 1);
    transition-property: clip-path;
    line-height: 1;
    z-index: 1;
    position: relative;
}

.smooth.is-animated {
    clip-path: inset(0);
}


/* ========== action btn ========== */

.action {
    margin: 42px auto;
    background-color: var(--action);
    border-radius: 28.5px;
    width: 254px;
    height: 57px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn {
    font-size: 20px;
}

.fuwafuwa {
  animation: fuwafuwa 3s ease-in-out infinite alternate;
  background: transparent center center / 60px auto;
  transition: 1.5s ease-in-out;
}
 
@keyframes fuwafuwa {
  0% {
    transform:translate(0, 0) rotate(-7deg);
  }
  50% {
    transform:translate(0, -7px) rotate(0deg);
  }
  100% {
    transform:translate(0, 0) rotate(7deg);
  }
}
 

/* ========== concept ========== */

#concept {
    margin-bottom: 30px;
}

.concept_wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.concept_left {
    margin-left: 20px;
}

.concept_right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h4 {
    font-family: "kiwi Maru", sans-serif;
    font-size: 32px;
    margin: 0 0 48px 50px;
}

.concept_1 {
    margin-bottom: 32px;
}

.concept_1,
.concept_2 {
    font-family: "kiwi Maru", sans-serif;
    font-size: 18px;
    line-height: 30px;
    margin-left: 50px;
}

/* ========== menu ========== */

#menu {
    background-color: var(--bg_pink);
    padding-bottom: 30px;
    padding-top: 30px;
}

.menu_wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    padding: 0 20px;
}

.menu_left {
    flex-basis: 50%;
    padding-left: 100px;
}

h5 {
    font-size: 24px;
    font-weight: 600;

}

.menu_left p {
    font-family: "Kiwi Maru", sans-serif;
    font-size: 18px;
    line-height: 28px;
    margin-bottom: 30px;
}

.menu-right {
    flex-basis: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu_img {
    max-width: 80%;
    height: auto;
    display: block;
}

/* ========== staff ========== */

#staff {
    margin-top: 30px;
    padding-bottom: 30px;
}

.kurukuru {
    opacity: 0;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.kurukuru.is-animated {
    animation: kurukuru 1.7s ease-out;
    opacity: 1;
}

@keyframes kurukuru {
    0% {
        transform: rotateY(0) translateY(40px);
        opacity: 0;
    }

    100% {
        transform: rotateY(360deg) translateY(0);
        opacity: 1;
    }
}

.staff_info h6 {
    font-size: 24px;
    text-decoration: underline;
    margin-bottom: 24px;
    text-align: center;
}

.staff_info p {
    font-family: "Kiwi Maru";
    text-align: left;
    width: fit-content;
    margin: 0 auto;
}

.staff_info {
    width: 450px;
    height: 125px;
    padding: 20px;
    background-color: var(--bg_gray);
    border-radius: 84px;
}

/* ========== info ========== */

#access {
    background-color: var(--basic);
    padding-bottom: 30px;
    padding-top: 30px;
}

#access h3 {
    margin-top: 20px;
}

.access_wrapper {
    display: flex;
    justify-content: space-around;
}

.info {
    line-height: 37px;
    font-size: 18px;
    font-family: "Kiwi Maru", sans-serif;
}

.address {
    margin-top: -10px;
    display: block;
    line-height: 24px;
    font-family: "Kiwi Maru", sans-serif;
    font-size: 18px;
}

.map {
    width: 600px;
    height: 300px;
}

/* ========== footer ========== */

footer {
    font-family: "Kiwi Maru", sans-serif;
    margin-left: 20px;
    display: flex;
    height: 45px;
    align-items: center;
}





/* ========================= tablet ======================== */

@media screen and (max-width: 834px) {

.pc_menu {
    display: none;
}

h2 {
    font-size: 60px;
}

h3 {
    font-size: 16px;
}

.openbtn1 {
    display: block;
    position: fixed;
    top: 10px;
    right: 20px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    z-index: 1000;
    background-color: transparent;
    border: none;

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding: 10px;
}

.openbtn1 span {
    display: block;
    height: 2px;
    width: 100%;
    background-color: var(--text);
    transition: all 0.3s;
}

.openbtn1.active span:nth-child(1) {
    transform: translateY(16px) rotate(45deg);
}

.openbtn1.active span:nth-child(2) {
    opacity: 0;
}

.openbtn1.active span:nth-child(3) {
    transform: translateY(-16px) rotate(-45deg);
}

/*========= ナビゲーションのためのCSS =========*/

#g-nav {
    position: fixed;
    z-index: 999;
    top: 0;
    left: -120%;
    width: 100%;
    height: 100vh;
    background: var(--white);
    color: var(--text);
    transition: all 0.6s;
    display: block;
}

#g-nav.panelactive {
    left: 0;
}

#g-nav.panelactive #g-nav-list {
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100vh;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    display: block;
}

#g-nav ul {
    display: flex;
    flex-direction: column;
    padding-top: 150px;
    width: auto;
    height: auto;
}

/*リストのレイアウト設定*/

#g-nav {
    flex-direction: column;
    align-items: center;

}

#g-nav li {
    list-style: none;
    text-align: center;
    display: block;
    width: auto;  
}

#g-nav li a {
    color: var(--text);
    text-decoration: none;
    padding: 10px;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-weight: bold;
    display: block;
    width: 100%;
    font-family: "Kiwi Maru", sans-serif;
}

/* ========== main visual  ========== */

#mv h1 {
    font-size: 32px;
    line-height: 40px;
    padding: 350px 0 30px 40px;
    white-space: nowrap;
}

#mv p {
    font-size: 18px;
    line-height: 18px;
    padding-left: 40px;
    white-space: nowrap;
}

/* ========== concept  ========== */

.concept_left {
    width: 80%;
    height: 80%;
}

h4 {
    font-size: 24px;
    font-weight: 600;
    margin: 0 20px 48px 0;
}

.concept_1 {
    margin-bottom: 16px;
}

.concept_1,
.concept_2 {
    font-size: 16px;
    margin: 20px 20px 0 0;
}

/* ========== menu  ========== */

.menu_left {
    padding-left: 30px;
    flex-basis: 70%;
}

h5 {
    font-size: 18px;
}

.menu_left p {
    font-size: 14px;
    line-height: 22px;
}

/* ========== staff ========== */

.staff_info h4 {
    font-size: 18px;
    margin-bottom: 20px;
}


.staff_info {
    width: 350px;
    height: 125px;
}

/* ========== info ========== */

.info {
    line-height: 37px;
    font-size: 14px;
    font-family: "Kiwi Maru", sans-serif;
}

.address {
    margin-top: -12px;
    display: block;
    line-height: 24px;
    font-family: "Kiwi Maru", sans-serif;
    font-size: 14px;
}

.map {
    width: 400px;
    height: 300px;
}

}

/* ========================= sp ======================== */

@media screen and (max-width: 480px) {

h2 {
    font-size: 40px;
}

h3 {
    font-size: 12px;
}

/* ========== main visual ========== */    

#mv {
    height: 550px;
}

.main_v {
    width: 100%;
}

#mv h1 {
    text-align: center;
}

#mv p {
    text-align: left;
    width: fit-content;
    margin: 0 auto;
    padding-left: 0;
    line-height: 26px;
}

/* ========== concept  ========== */

.concept_wrapper {
    display: block;
    align-items: center;
    text-align: center;
    justify-content: center;
}

.concept_left {
    width: 50%;
    height: 50%;
}

h4 {
    padding-top: 60px;
    font-size: 18px;
    font-weight: 600;
    margin: 0 20px 48px 0;
}

.concept_1 {
    margin-bottom: 16px;
}

.concept_1,
.concept_2 {
    font-size: 14px;
    margin: 20px 20px;
}

/* ========== menu  ========== */

.menu_wrapper {
    display: block;
    align-items: center;
    text-align: left;
    justify-content: center;
}

h5 {
    font-size: 14px;
}

.menu_left p {
    font-size: 12px;
    line-height: 22px;
}

.menu_img {
    margin: 0 auto;
    width: 50%;
    height: 50%;
}

/* ========== staff ========== */

.kurukuru {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 20px;
    opacity: 0;
}

.staff_info h6 {
    padding: 0;
    font-size: 16px;
}

.staff_info p {
    font-family: "Kiwi Maru";
    text-align: left;
}

.staff_info {
    width: 90%;
    max-width: 300px;
    padding: 15px;
}

/* ========== info ========== */

.access_wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.info, .address {
    font-size: 12px;
    text-align: left;
    align-items: center;
}

.map {
    width: 400px;
    height: 250px;
    align-items: center;
}

}